Skip to content

Get Table Graph

GET
/api/v1/connections/{connection_id}/graph/{table_name}

Query blast radius and dependencies for a specific table.

connection_id
required
Connection Id
string format: uuid
table_name
required
Table Name
string
depth
Any of:
integer
>= 1

Successful Response

GraphQueryApiResponse

Response for GET /connections/{id}/graph/{table}.

object
success
required
Success

Whether the request succeeded.

boolean
data
Any of:
GraphQueryResponse
object
table
required
Table

Name of the queried table.

string
dependents
required
Dependents

Tables that depend on this table via foreign key relationships (blast radius).

Array<string>
dependencies
required
Dependencies

Tables that this table depends on via foreign key relationships.

Array<string>
depth
Any of:
integer
error
Any of:
ErrorDetail
object
code
required
Code

Machine-readable error code (e.g., ‘NOT_FOUND’, ‘VALIDATION_ERROR’).

string
message
required
Message

Human-readable error message describing what went wrong.

string
details
Any of:

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object